# __gnu_cxx::subtractive_rng Class Reference
[STL extensions from SGI]

Inheritance diagram for __gnu_cxx::subtractive_rng:

List of all members.

## Detailed Description

The `subtractive_rng` class is documented on SGI's site. Note that this code assumes that `int` is 32 bits.

Definition at line 351 of file ext/functional.

## Public Types

- typedef _Arg argument_type
- typedef _Result result_type

## Public Member Functions

- void _M_initialize (unsigned int __seed)
- unsigned int operator() (unsigned int __limit)
- subtractive_rng ()
- subtractive_rng (unsigned int __seed)

## Member Typedef Documentation

template<class _Arg, class _Result>

typedef _Arg std::unary_function< _Arg, _Result >::argument_type`[inherited]`

`argument_type` is the type of the

Reimplemented in __gnu_cxx::__detail::_Functor_Ref< _Functor >.

Definition at line 104 of file stl_function.h.

template<class _Arg, class _Result>

typedef _Result std::unary_function< _Arg, _Result >::result_type`[inherited]`

argument (no surprises here) `result_type` is the return type

Reimplemented in __gnu_cxx::__detail::_Functor_Ref< _Functor >, and std::tr1::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 107 of file stl_function.h.

## Constructor & Destructor Documentation

__gnu_cxx::subtractive_rng::subtractive_rng | ( | unsigned int | __seed | ) | `[inline]`

Ctor allowing you to initialize the seed.

Definition at line 393 of file ext/functional.

__gnu_cxx::subtractive_rng::subtractive_rng | ( |  | ) | `[inline]`

Default ctor; initializes its state with some number you don't see.

Definition at line 397 of file ext/functional.

## Member Function Documentation

unsigned int __gnu_cxx::subtractive_rng::operator() | ( | unsigned int | __limit | ) | `[inline]`

Returns a number less than the argument.

Definition at line 362 of file ext/functional.

The documentation for this class was generated from the following file:

- ext/functional